Skip Menu |
 

Preferred bug tracker

Please visit the preferred bug tracker to report your issue.

This queue is for tickets about the CPAN-Reporter CPAN distribution.

Report information
The Basics
Id: 68683
Status: resolved
Priority: 0/
Queue: CPAN-Reporter

People
Owner: Nobody in particular
Requestors: njh [...] bandsman.co.uk
Cc:
AdminCc:

Bug Information
Severity: Important
Broken in: 1.1902
Fixed in: (no value)



Subject: Broken version number
Download (untitled) / with headers
text/plain 297b
Attempting to "perl Makefile.PL" on a virgin Solaris system gives: Argument "6.30_01" isn't numeric in subroutine entry at Makefile.PL line 7. ExtUtils::MakeMaker version 6.31 required--this is only version 6.30_01 at Makefile.PL line 7. BEGIN failed--compilation aborted at Makefile.PL line 7.
Download (untitled) / with headers
text/plain 447b
That's just telling you that EU::MM is too old on that system. The "isn't numeric" warning is actually coming from EU::MM -- which must have shipped with a development release of EU::MM. Looking at 'corelist', 6.30_01 was in Perl v5.9.3. It was not shipped with any stable release of Perl, so if it's on a "virgin" system, that's Sun's fault. I'm closing this ticket, as I don't think there's anything CPAN::Reporter can do to "fix" the issue.


This service is sponsored and maintained by Best Practical Solutions and runs on Perl.org infrastructure.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.